---
sidebar_position: 11
description: Get location description and other functions to work with GreenAPI in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenAPI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get location description
 Gets the description of the location to send with SendLocation method



`Function GetLocationDescription(Val Latitude, Val Longitude, Val Address = "", Val Name = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Latitude | --lat | Number | &#x2714; | Geographic latitude |
  | Longitude | --long | Number | &#x2714; | Geographic longitude |
  | Address | --addr | String | &#x2716; | Location address |
  | Name | --name | String | &#x2716; | Location name |

  
  Returns:  Structure Of KeyAndValue - Location description



```bsl title="1C:Enterprise/OneScript code example"
    Latitude  = 53.908522;
    Longitude = 27.574821;
    Address   = "Victory Square, Minsk";
    Name      = "Victory sq.";

    Result = OPI_GreenAPI.GetLocationDescription(Latitude, Longitude, Address, Name);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint greenapi GetLocationDescription \
             --lat 53.908522 \
             --long 27.574821 \
             --addr "Victory Square, Minsk" \
             --name "Victory sq."
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint greenapi GetLocationDescription ^
             --lat 53.908522 ^
             --long 27.574821 ^
             --addr "Victory Square, Minsk" ^
             --name "Victory sq."
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "latitude": 53.908522,
 "longitude": 27.574821,
 "address": "Victory Square, Minsk",
 "nameLocation": "Victory sq."
}
```
